.print-page {
    min-height: 100vh;
    color: var(--gray-80);
    width: 960px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;

    &__header {
        padding-top: 24px;
        padding-bottom: rem(28);
        margin-bottom: 32px;
        border-bottom: 1px solid var(--gray-20);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__body {
        flex-grow: 1;
    }

    &__qr {
        width: rem(64);
        flex-shrink: 0;
    }

    &__title {
        font-weight: 600;
        font-size: 24px;
        line-height: 30px;
        margin-bottom: 24px;
    }

    &__about {
        display: flex;
        column-gap: rem(14);
        align-items: center;
    }

    &__logo {
        width: 240px;
        display: block;
        flex-shrink: 0;
    }

    &__slogan {
        font-size: 13px;
        line-height: 18px;
        white-space: nowrap;
        color: var(--gray-60);
    }

    &__contacts {
        display: flex;
        row-gap: 12px;
        align-items: center;
        column-gap: rem(28);

        .contact-phone {
            font-size: 15px !important;
            line-height: 24px !important;

            i {
                height: 24px !important;
            }
        }

        .contact-item {
            font-size: 15px !important;
            line-height: 24px !important;

            i {
                height: 24px !important;
            }
        }
    }

    &__group {
        display: flex;
        row-gap: rem(12);
        flex-direction: column;
    }

    &__footer {
        font-size: 13px;
        line-height: 20px;
        margin-top: 24px;
        color: var(--gray-50);
        border-top: 1px solid var(--gray-20);
        padding-top: 28px;
        padding-bottom: 36px;
        display: flex;
        row-gap: 8px;
        flex-direction: column;

        p {
            margin: 0;
        }
    }

    &--logo-footer {
        width: 194px;
        flex-shrink: 0;
    }

    &__vendor {
        width: 281px;
        flex-shrink: 0;
    }

    &__product-media {
        width: 50%;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__product-image {
        width: 199px;
        display: block;
        flex-shrink: 0;
    }

    &__product-content {
        width: 50%;
        display: flex;
        align-items: flex-start;
        flex-direction: column;
    }

    &__price {
        margin-bottom: 16px;
        display: flex;
        row-gap: 8px;
        align-items: flex-start;
        flex-direction: column;
    }

    &__credit {
        width: rem(272);
        margin-bottom: 16px;
        flex-shrink: 0;

        .info-block {

            &:before {
                display: none !important;
            }
        }
    }

    &__button {
        width: rem(272);
        flex-shrink: 0;
    }

    &__services {
        padding-bottom: rem(64);
        display: flex;
        row-gap: 32px;
        flex-direction: column;
    }

    &__info {
        max-width: rem(280);
        color: var(--gray-60);
        font-size: rem(12);
        line-height: rem(16);
    }

    .item-price {
        font-size: 24px !important;
        line-height: 30px !important;
    }

    .item-sale {

        &__price {
            font-size: 18px;
            line-height: 20px;
        }
    }

    .info-block {
        min-width: rem(272);
        border-color: #bfe8ff;

        &:before {
            display: none !important;
        }
    }

    .availability-status {

        &:before {
            display: none;
        }

        i {
            color: #D9D9D9;
        }
    }

    .table-wrapper {
        border-radius: 4px !important;
        overflow: hidden;
        border: 1px solid var(--gray-10) !important;
    }

    .table-custom {
        overflow: hidden;
        border-collapse: collapse;

        td {
            border-radius: 0 !important;
            background-color: transparent !important;
            border: 1px solid var(--gray-10) !important;

            &:first-child {
                border-left: none !important;
            }

            &:last-child {
                border-right: none !important;
            }
        }

        tr  {

            &:first-child {

                td {
                    border-top: none !important;
                }
            }

            &:last-child {

                td {
                    border-bottom: none !important;
                }
            }
        }
    }
}

.print-service {
    font-size: 14px;
    line-height: 20px;
    display: flex;
    column-gap: 20px;

    &__icon {
        width: 32px;
        height: 32px;
        flex-shrink: 0;
    }

    &__content {
        display: flex;
        row-gap: 8px;
        flex-direction: column;
    }

    &__title {
        color: var(--gray-70);
        font-weight: 600;
        font-size: 15px;
        line-height: 24px;
    }

    &__text {
        color: var(--gray-50);
    }
}

.contact-phone-free {
    top: rem(18);
    left: rem(38);
    color: var(--blue);
    font-weight: 400;
    font-size: rem(11);
    line-height: rem(20);
    position: absolute;
    text-decoration: none;
}

.cart-print-list {
    border-radius: 4px;
    overflow: hidden;
    border: 1px solid var(--gray-10);

    &:not(:last-child) {
        border-bottom: 1px solid var(--gray-10);
    }
}

.cart-item-print {
    padding: 14px !important;
    box-shadow: none !important;
}

.cart-item-print {

    .cart-item__price {
        width: rem(110) !important;
        text-align: right !important;
        display: block !important;
    }
}

.cart-item {
    justify-content: space-between;

    &__left {
        display: flex;
        column-gap: rem(28);
        flex-grow: 1;
    }

    &__right {
        display: flex;
        row-gap: rem(4);
        flex-direction: column;
        column-gap: rem(28);
    }

    &__note {
        color: #666;
        text-align: right;
        font-size: rem(12);
        line-height: rem(16);
        max-width: rem(250);
    }
}


@media print {

    .print-page__button {
        opacity: 0;
        visibility: hidden;
    }

    .d-print-none {
        display: none !important;
    }

    .hide-print {
        opacity: 0;
        visibility: hidden;
    }

    .cart-item__adding {
        display: none;
    }

    .cart-item__remove {
        display: none;
    }

    .contact-phone-free {
        opacity: 0;
        visibility: hidden;
    }
}
